Get the connection status
curl --request GET \
--url https://thirdparty.qonto.com/v2/payment_links/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/payment_links/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/payment_links/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connection_location": "<string>",
"status": "not_connected",
"bank_account_id": "46e9e0d2-f1af-4d2e-a6be-a536a604b89e"
}Payment Links
Get the connection status
OAuth scope: payment_link.read
Allows you to check the status of the connection to the payment links provider.
GET
/
v2
/
payment_links
/
connections
Get the connection status
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Response
The connection status has been retrieved successfully.
URL to redirect the user to initiate the connection.
Status of the overall payment links feature activation:
enabled: The payment links feature is active, and the connection with the provider has been established.pending: The provider requires the user to complete additional steps in the onboarding process. While no action is required from you, you may choose to notify your users about this status.disabled: The payment links feature is not active.not_connected: The connection with the provider has not yet been established.
Available options:
enabled, pending, disabled, not_connected Example:
"not_connected"
The bank account ID to be credited when the payment link is paid.
Example:
"46e9e0d2-f1af-4d2e-a6be-a536a604b89e"
Was this page helpful?